%define common_version 1.2.0

Name: sdr
Summary: Session Directory for MBONE multicasting applications
Version: 3.0
Release: 3
Group: Applications/Internet
Copyright: Distributable
Packager: Pekka Savola <psavola@csc.fi>
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/sdr/
Source0: http://www-mice.cs.ucl.ac.uk/multimedia/software/%{name}/%{version}/%{name}-%{version}.tar.gz 
Source1: http://www-mice.cs.ucl.ac.uk/multimedia/software/common/common-%{common_version}.tar.gz 
# Patch0  can be used if the OS has tcl80 installed.
Patch0: sdr-3.0-compile-tclsystem.patch
Patch2: sdr-2.9-common-pton.patch
Patch3: common-time.patch
Patch4: sdr-plugins.patch
Patch5: sdr-3.0-warning-cleanup.patch
Patch6: sdr-3.0-segfault.patch
BuildRoot: /var/tmp/%{name}-root
Requires: tcl tk
BuildPreReq: tcl tk
ExclusiveArch: i386
%description
SDR is a session directory tool designed to allow the advertisement
and joining of multicast conferences on the Mbone.  It was originally
modelled on sd written by Van Jacobson at LBNL, but implements a
later version of the session description protocol than sd does. 

%prep
%setup -q -n sdr -b 1 

cd ..

%patch0 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0

%build
cd ../common
autoconf
%configure
make

cd ../sdr/linux
./configure --enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/etc/sdr/plugins

cp -p linux/sdr $RPM_BUILD_ROOT%{_prefix}/bin
#cp -p src/plugins/* $RPM_BUILD_ROOT/etc/sdr/plugins/
rm -f $RPM_BUILD_ROOT/etc/sdr/plugins/index.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc src/BUGS src/CHANGES src/readme src/VERSION src/html/*.html src/sdr.README
%{_prefix}/bin/sdr
%dir /etc/sdr/plugins

%changelog
* Sun Apr  8 2001 Pekka Savola <psavola@csc.fi>
- Build using native tcl/tk 8.3, add a patch for sdr segfault from NetBSD.
- Add tcl/tk as requires, buildprereqs
- Clean up more warnings.

* Fri Apr  6 2001 Pekka Savola <psavola@csc.fi>
- add patch to remove unnecessary (and potentially dangerous)
plugin directories, add /etc/sdr/plugins.
- clean up some warnings when compiling.
- don't install the plugins to /etc/sdr/plugins as they seem to be redundant

* Thu Feb 15 2001 Tim Powers <timp@redhat.com>
- patched to include sys/time.h and time.h

* Sun Oct 22 2000 Tim Powers <timp@redhat.com> 
- initial build for Powertools

* Sat Oct 21 2000 Pekka Savola <psavola@csc.fi>
- Clean up /etc/sdr/plugins a bit
- Remove those *.ehtml from %doc

* Tue Jun 27 2000 Pekka Savola <psavola@csc.fi>
- Moved plugins from /etc/sdr to /etc/sdr/plugins
- Added tcl/tk 8.0 in the packaging so that this will also build on tcl8.3 systems.

* Mon Jun 26 2000 Pekka Savola <psavola@csc.fi>
- initial build for RH6x (tcl80)
